I've got some odroid HC2's running debian 9 that i'd like to run gluster
on, but I want to run something current, not 3.8! So I'm trying to build
5.3, but I can't get through the./configure.

At first, I forgot to run autogen, so i was using whatever configure I had,
and it would error out on sqlite, even though I have the sqlite3 dev
libraries installed. Anyhow, I realized my mistake, and ran autogen.sh .
Now configure dies on libuuid which is also installed. before autogen it
got well past it. here's the last few lines:
checking sys/extattr.h usability... no
checking sys/extattr.h presence... no
checking for sys/extattr.h... no
checking openssl/dh.h usability... yes
checking openssl/dh.h presence... yes
checking for openssl/dh.h... yes
checking openssl/ecdh.h usability... yes
checking openssl/ecdh.h presence... yes
checking for openssl/ecdh.h... yes
checking for pow in -lm... yes
./configure: line 13788: syntax error near unexpected token `UUID,'
./configure: line 13788: `PKG_CHECK_MODULES(UUID, uuid,'

Here's the config line that fails (with some:
PKG_CHECK_MODULES(UUID, uuid,
        have_uuid=yes
         AC_DEFINE(HAVE_LIBUUID, 1, [have libuuid.so])
         PKGCONFIG_UUID=uuid,
        have_uuid=no)
 if test x$have_uuid = xyes; then
  HAVE_LIBUUID_TRUE=
  HAVE_LIBUUID_FALSE='#'
else
  HAVE_LIBUUID_TRUE='#'
  HAVE_LIBUUID_FALSE=
fi

I tried putting "echo FOO"  before the PKG_CHECK_MODULES and it outputs
correctly, so I'm pretty sure the problem isn't a dropped quote or
parenthesis.

Any suggestions on what to look for to debug this?
_______________________________________________
Gluster-devel mailing list
Gluster-devel@gluster.org
https://lists.gluster.org/mailman/listinfo/gluster-devel

Reply via email to